%if 0%{?rhel} == 7
%global all_scls rh-postgresql10
%endif

# Set up path aliases that work for both SCL and non-SCL
%global base_bindir %{?scl:%{_root_bindir}}%{!?scl:%{_bindir}}
%global base_libdir %{?scl:%{_root_libdir}}%{!?scl:%{_libdir}}
%global base_sysconfdir %{?scl:%{_root_sysconfdir}}%{!?scl:%{_sysconfdir}}
%global base_datadir %{?scl:%{_root_datadir}}%{!?scl:%{_datadir}}

# TODO: Support additional selinux types
%global selinux_variants targeted
%{!?_selinux_policy_version: %global _selinux_policy_version %(%{__sed} -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp 2>/dev/null)}
%global modulename tower

%global tower_version 3.8.1
%global tower_release 1
%global sdist_tar_name ansible-tower-3.8.1-1
%global sdist_source_name ansible-tower-3.8.1

%if 0%{?rhel} == 7
%global distro_python_sitelib %(/usr/bin/python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif
%if 0%{?rhel} == 8
%global distro_python_sitelib %(/usr/bin/python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif

# Remove brp-python-bytecompile from os_install_post
%global __os_install_post /usr/lib/rpm/brp-compress \
  %{!?__debug_package:/usr/lib/rpm/brp-strip %{__strip}} \
  /usr/lib/rpm/brp-strip-static-archive %{__strip} \
  /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} \
  /usr/lib/rpm/brp-python-hardlink

Name: ansible-tower
Summary: REST api, server, plugins, UI, & CLI client for ansible
Version: %{tower_version}
Release: %{tower_release}%{?dist}
Source0: https://github.com/ansible/%{name}/archive/%{version}.tar.gz?/%{sdist_tar_name}.tar.gz
Source1: %{modulename}.te
Source2: ansible-tower.service
Source3: %{modulename}.fc
Source4: %{name}-setup-%{version}-1.tar.gz
Source5: %{name}-cli-%{version}-1.tar.gz
Source6: rsyslog.conf
%if "%{packager}" == "Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>"
Source7: ansible-tower-3.8.1-1-python-deps.tar.gz
Source8: ansible-tower-3.8.1-1-collections-deps.tar.gz
%endif
Provides: awx = %{version}-%{release}
Obsoletes: awx < 1.4.5-0

Group: Development/Libraries
License: Commercial, see https://www.redhat.com/en/about/red-hat-end-user-license-agreements and https://www.redhat.com/en/about/licenses
Url: http://ansible.github.com

# Build Requirements
BuildArch: x86_64

%if 0%{?rhel} == 7
# for ansible venv
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python2-pip
BuildRequires: python-virtualenv
%endif
%if 0%{?rhel} == 8
BuildRequires: python3-virtualenv
%endif

BuildRequires: ansible
BuildRequires: python3
BuildRequires: python3-devel

BuildRequires: checkpolicy
BuildRequires: selinux-policy-devel
BuildRequires: hardlink
BuildRequires: sed
BuildRequires: git
BuildRequires: make
BuildRequires: gcc
BuildRequires: bzip2
%if 0%{?rhel} == 7
BuildRequires: rh-postgresql10-postgresql-devel
%endif
%if 0%{?rhel} == 8
BuildRequires: postgresql-devel
%endif
BuildRequires: libffi-devel
BuildRequires: openssl-devel
BuildRequires: openldap-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: xmlsec1-devel, xmlsec1-openssl-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: swig
BuildRequires: libcurl-devel
BuildRequires: libyaml-devel

Requires: ansible-tower-server = %{version}-%{release}
Requires: ansible-tower-ui = %{version}-%{release}

%description
REST api, server, plugins, Web UI, & CLI client for ansible.

%package server
Summary: Ansible Tower REST API
AutoReqProv: no
Requires: ansible-tower-venv-ansible = %{version}-%{release}
Requires: ansible-tower-venv-tower = %{version}-%{release}
Requires: nginx
Requires: ansible
Requires: helm
Requires: sshpass
Requires: supervisor >= 3.0
Requires: bubblewrap >= 0.1.2
Requires: git
Requires: subscription-manager
Requires: subversion
Requires: mercurial
%if 0%{?rhel} == 7
Requires: rh-postgresql10-postgresql
Requires: rh-redis5
%endif
%if 0%{?rhel} == 8
Requires: postgresql
Requires: redis
%endif
Requires: sos
Requires: rsync
Requires: rsyslog >= 8.1911
Requires: xmlsec1
Requires: xmlsec1-openssl
Requires: openshift-clients
Requires: libcgroup-tools

# SELinux requirements
%if "%{_selinux_policy_version}" != ""
Conflicts: selinux-policy < 3.13.1-60.el7
# for seboolean Ansible module

%if 0%{?rhel} == 7
Requires: libsemanage-python
%endif

%if 0%{?rhel} == 8
Requires: python3-libsemanage
%endif

%endif

Requires(post): policycoreutils
Requires(post): libselinux-utils
Requires(postun): policycoreutils

%description server
Ansible Tower Server and REST API

%package ui
Summary: Ansible Tower UI
Requires: ansible-tower-server = %{version}-%{release}

%description ui
UI for Ansible Tower

%package setup
Summary: Installer for Ansible Tower

%description setup
Installer for Ansible Tower

%package venv-ansible
Summary: Ansible virtual environment
AutoReqProv: no

%if 0%{?rhel} == 7
Requires(pre): python-virtualenv
%endif
%if 0%{?rhel} == 8
Requires(pre): python3
%endif

%description venv-ansible
Ansible virtual environment

%package venv-tower
Summary: Tower virtual environment
AutoReqProv: no
Requires(pre): python3

%description venv-tower
Tower virtual environment

%package cli
Summary: Package for the Ansible Tower CLI
AutoReqProv: no
Requires: python3
Requires: python3-setuptools
Requires: python3-requests
Requires: python3-yaml

%description cli
Package for the Ansible Tower CLI

%package isolated
Summary: Package for executing Ansible Tower jobs in isolated environments
AutoReqProv: no
Requires: ansible
Requires: ansible-runner
Requires: ansible-tower-venv-ansible = %{version}-%{release}
Requires: bubblewrap >= 0.1.2
Requires: rsync
Requires: libcgroup-tools

%description isolated
Package for executing Ansible Tower jobs in isolated environments


%prep
%setup -q -n %{sdist_source_name}

tar -xf %{SOURCE4}

mkdir SELinux
cp -p %{SOURCE1} %{SOURCE3} SELinux/

%if "%{packager}" == "Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>"
tar -xf %{SOURCE7}
tar -xf %{SOURCE8}
%endif


%build
# Disable debuginfo packages
%define _enable_debug_package 0
%define debug_package %{nil}


%install

export LANG=en_US.UTF-8 LANGUAGE=en_US.en LC_ALL=en_US.UTF-8

mkdir -p %{buildroot}/var/lib/awx
mv %{name}-setup-%{version}-1/ %{buildroot}/var/lib/awx/setup

mkdir -p %{buildroot}/var/lib/awx/rsyslog
mkdir -p %{buildroot}/var/lib/awx/rsyslog/conf.d
cp %{SOURCE6} %{buildroot}/var/lib/awx/rsyslog/rsyslog.conf

# Create folder for the virtualenvs
export VENV_BASE=venv
mkdir -p $VENV_BASE

# Create folder for the collections
export COLLECTION_BASE=vendor/awx_ansible_collections
mkdir -p $COLLECTION_BASE

# Fix m2crypto builds (details at http://pkgs.fedoraproject.org/cgit/m2crypto.git/tree/m2crypto.spec)
export SWIG_FEATURES="-cpperraswarn"

%if "%{packager}" == "Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>"
export PIP_OPTIONS="--find-links=tower/requirements/vendor --no-index"

cat >> setup.cfg <<EOF
[easy_install]
allow_hosts = ''
find_links = file://$PWD/tower/requirements/vendor/
EOF

cp setup.cfg ~/.pydistutils.cfg
%endif

# Install the awxkit package
%if 0%{?rhel} == 7
pip3 install %{SOURCE5} --root %{buildroot} --no-deps
%endif
%if 0%{?rhel} == 8
python3 -m pip install %{SOURCE5} --root %{buildroot} --no-deps
%endif

# Install the Ansible venv and requirements
%if 0%{?rhel} == 7
export PYCURL_SSL_LIBRARY=nss
%{__make} requirements_ansible
%endif
%if 0%{?rhel} == 8
export PYCURL_SSL_LIBRARY=openssl
%{__make} requirements_ansible_py3
%endif

# Install the vendored collections
mkdir -p %{buildroot}/var/lib/awx/vendor/
%if "%{packager}" == "Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>"
mv $PWD/tower/requirements/collections %{buildroot}/var/lib/awx/$COLLECTION_BASE
%else
%{__make} requirements_collections
mv $COLLECTION_BASE/ %{buildroot}/var/lib/awx/vendor/
%endif

export CFLAGS="-DXMLSEC_NO_SIZE_T"
# Install the Tower venv and requirements
%{?all_scls:scl enable %{all_scls} - << \EOF}
%{__make} requirements_awx
%{?all_scls:EOF}

%{?all_scls:scl enable %{all_scls} - << \EOF}
python3 setup.py build
%{?all_scls:EOF}

# Build SELinux policy package (.pp)
pushd SELinux
for selinuxvariant in %{selinux_variants}; do
    make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile
    mv %{modulename}.pp %{modulename}.pp.${selinuxvariant}
    make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile clean
done
popd

# Move site-packages to the buildroot
PYTHON_VER=$(basename $(ls -d venv/ansible/lib/python* | head --lines 1))
mkdir -p %{buildroot}/var/lib/awx/venv/ansible/lib/${PYTHON_VER}
mv venv/ansible/lib/${PYTHON_VER}/site-packages %{buildroot}/var/lib/awx/venv/ansible/lib/${PYTHON_VER}/site-packages

mkdir -p %{buildroot}/var/lib/awx/venv/awx/lib/python3.6
mv venv/awx/lib/python3.6/site-packages %{buildroot}/var/lib/awx/venv/awx/lib/python3.6/site-packages

# Move bin files
mkdir -p %{buildroot}/var/lib/awx/venv/ansible/bin
rm -f %{buildroot}/var/lib/awx/venv/ansible/bin/pip*
cp -rp venv/ansible/bin/pip* %{buildroot}/var/lib/awx/venv/ansible/bin/

mkdir -p %{buildroot}/var/lib/awx/venv/awx/bin
rm -f %{buildroot}/var/lib/awx/venv/awx/bin/pip*
cp -rp venv/awx/bin/pip* %{buildroot}/var/lib/awx/venv/awx/bin/
mv venv/awx/bin/uwsgi %{buildroot}/var/lib/awx/venv/awx/bin/uwsgi
mv venv/awx/bin/uwsgitop %{buildroot}/var/lib/awx/venv/awx/bin/uwsgitop
mv venv/awx/bin/daphne %{buildroot}/var/lib/awx/venv/awx/bin/daphne

# Replace python interpreter shebang to known destination system paths
PYTHON_INTERPRETER='#!/var/lib/awx/venv/ansible/bin/python'
sed -i "1 s|^.*$|$PYTHON_INTERPRETER|" %{buildroot}/var/lib/awx/venv/ansible/bin/pip*

PYTHON_INTERPRETER='#!/var/lib/awx/venv/awx/bin/python'
sed -i "1 s|^.*$|$PYTHON_INTERPRETER|" %{buildroot}/var/lib/awx/venv/awx/bin/pip*

PYTHON_INTERPRETER='#!/usr/bin/awx-python'
sed -i "1 s|^.*$|$PYTHON_INTERPRETER|" %{buildroot}/var/lib/awx/venv/awx/bin/daphne

# Install to the buildroot (non virtualenv)
mkdir -p %{buildroot}/rpm-tmp

%{?all_scls:scl enable %{all_scls} - << \EOF}
python3 setup.py install --skip-build --no-compile --root=%{buildroot}/rpm-tmp
%{?all_scls:EOF}

# Move files from rpm-tmp folder to the appropriate base folders
mv %{buildroot}/rpm-tmp%{?scl:/opt/rh/rh-python36/root}/usr/lib/python3.6/site-packages/* %{buildroot}/var/lib/awx/venv/awx/lib/python3.6/site-packages

mkdir -p %{buildroot}/usr/bin
%{?scl:mv %{buildroot}/rpm-tmp%{_scl_root}/usr/bin/* %{buildroot}/usr/bin}
mv %{buildroot}/rpm-tmp/usr/bin/* %{buildroot}/usr/bin

# Symlinks to old tower-python and tower-manage executables
ln -s /usr/bin/awx-manage %{buildroot}/%{base_bindir}/tower-manage
ln -s /usr/bin/awx-python %{buildroot}/%{base_bindir}/tower-python

mkdir -p %{buildroot}/usr/share/sosreport/sos/plugins
mv %{buildroot}/rpm-tmp/usr/share/sosreport/sos/plugins/* %{buildroot}/usr/share/sosreport/sos/plugins

mkdir -p %{buildroot}/usr/share/doc/ansible-tower
mv %{buildroot}/rpm-tmp/usr/share/doc/awx/* %{buildroot}/usr/share/doc/ansible-tower

mkdir -p %{buildroot}/lib/systemd/system
install -m 644 %{SOURCE2} %{buildroot}/lib/systemd/system

mkdir -p %{buildroot}/usr/share/awx
mv %{buildroot}/rpm-tmp/usr/share/awx/* %{buildroot}/usr/share/awx

mkdir -p %{buildroot}/var/lib/awx
mv %{buildroot}/rpm-tmp/var/lib/awx/* %{buildroot}/var/lib/awx

rm -rf %{buildroot}/rpm-tmp

# Create other needed folders
install -d %{buildroot}/%{base_sysconfdir}/tower/
install -d -m 0750 %{buildroot}/var/log/tower
install -d -m 0750 %{buildroot}/var/lib/awx/job_status
install -d %{buildroot}/%{_datadir}/awx
install -d -m 2775 %{buildroot}/var/run/tower

# SELinux setup
for selinuxvariant in %{selinux_variants}
do
  install -d %{buildroot}%{base_datadir}/selinux/${selinuxvariant}
  install -p -m 644 SELinux/%{modulename}.pp.${selinuxvariant} \
    %{buildroot}%{base_datadir}/selinux/${selinuxvariant}/%{modulename}.pp
done
/usr/sbin/hardlink -cv %{buildroot}%{base_datadir}/selinux

%clean
rm -rf %{buildroot}

%preun
ansible-tower-service stop

%pre server
getent group awx >/dev/null || groupadd -r awx
getent passwd awx >/dev/null || \
    useradd -r -g awx -d /var/lib/awx -s /bin/bash awx

%post server
# Generate or reuse key file
if [ ! -f /etc/tower/SECRET_KEY ]; then
python3 -c 'import base64, os; f = open("/etc/tower/SECRET_KEY", "w"); f.write(base64.encodebytes(os.urandom(33)).decode().rstrip()); f.close()'
fi
chown root:awx /etc/tower/SECRET_KEY
chmod 640 /etc/tower/SECRET_KEY

# Create sosreport symlinks
ln -s ../../../../../share/sosreport/sos/plugins/tower.py  %{distro_python_sitelib}/sos/plugins/ || :

# allow needed nginx access
for selinuxvariant in %{selinux_variants} ; do
    semodule -s ${selinuxvariant} -i %{base_datadir}/selinux/${selinuxvariant}/%{modulename}.pp
done
/sbin/fixfiles -R %{modulename} restore || :
/sbin/restorecon -R /var/lib/awx/venv /var/lib/awx/job_status /var/run/tower
chown -R nginx:nginx /var/run/tower || :
if [ $1 -eq 1 ] ; then
        # Initial installation
        systemctl --no-reload preset ansible-tower.service >/dev/null 2>&1 || :
fi

%preun server
if [ $1 -eq 0 ] ; then
        # Package removal, not upgrade
        systemctl --no-reload disable --now ansible-tower.service >/dev/null 2>&1 || :
fi

%postun server
sed -i -e '/^# START AWX/,/^# END AWX/d' /etc/supervisord.conf
# Remove custom policy
if [ $1 -eq 0 ] ; then
    for selinuxvariant in %{selinux_variants} ; do
        /usr/sbin/semodule -s ${selinuxvariant} -r %{modulename} 2> /dev/null || :
    done
    # Remove sosreport symlinks
    rm -f %{distro_python_sitelib}/sos/plugins/tower.py || :
fi

%pre venv-ansible
getent group awx >/dev/null || groupadd -r awx
getent passwd awx >/dev/null || \
    useradd -r -g awx -d /var/lib/awx -s /bin/bash awx
%if 0%{?rhel} == 7
virtualenv --system-site-packages /var/lib/awx/venv/ansible
%endif
%if 0%{?rhel} == 8
python3 -m venv --system-site-packages /var/lib/awx/venv/ansible
%endif

%pre venv-tower
systemctl stop supervisord >/dev/null 2>&1 || :
getent group awx >/dev/null || groupadd -r awx
getent passwd awx >/dev/null || \
    useradd -r -g awx -d /var/lib/awx -s /bin/bash awx
python3 -m venv --clear /var/lib/awx/venv/awx

%pre isolated
getent group awx >/dev/null || groupadd -r awx
getent passwd awx >/dev/null || \
    useradd -r -g awx -d /var/lib/awx -s /bin/bash awx
%if 0%{?rhel} == 7
virtualenv --system-site-packages /var/lib/awx/venv/ansible
%endif
%if 0%{?rhel} == 8
python3 -m venv --system-site-packages /var/lib/awx/venv/ansible
%endif

%files
%defattr(-,root,root)

%files server
%exclude /var/lib/awx/setup
%exclude /var/lib/awx/venv
%defattr(-,root,root)
%doc %{base_datadir}/doc/ansible-tower
%{base_bindir}/awx-manage
%{base_bindir}/awx-python
%{base_bindir}/tower-manage
%{base_bindir}/tower-python
%{base_bindir}/ansible-tower-service
%{base_bindir}/failure-event-handler
/lib/systemd/system/ansible-tower.service
%attr(2775,nginx,nginx) /var/run/tower
%dir %attr(0755,awx,awx) /var/lib/awx
%dir %attr(0750,awx,awx) /var/lib/awx/vendor
%attr(0750,awx,awx) /var/log/tower
/var/lib/awx/[^j]*
%attr(0750,awx,awx) /var/lib/awx/rsyslog/rsyslog.conf
%attr(0750,awx,awx) /var/lib/awx/job_status
%{base_datadir}/selinux/*/%{modulename}.pp
%{base_datadir}/awx/
%{base_datadir}/sosreport/sos/plugins/tower.py*
%config(noreplace) %attr(-,root,awx) %{base_sysconfdir}/tower

%files ui
%defattr(-,root,root)
/var/lib/awx/venv/awx/lib/python3.6/site-packages/awx/static
/var/lib/awx/venv/awx/lib/python3.6/site-packages/awx/ui/static

%files setup
%defattr(-,root,root)
/var/lib/awx/setup
%{base_bindir}/ansible-tower-setup

%files venv-ansible
%defattr(-,root,root)
/var/lib/awx/venv/ansible

%files venv-tower
%exclude /var/lib/awx/venv/awx/lib/python3.6/site-packages/awx/static
%exclude /var/lib/awx/venv/awx/lib/python3.6/site-packages/awx/ui/static
%defattr(-,root,root)
/var/lib/awx/venv/awx

%files isolated
%defattr(-,root,root)

%files cli
%exclude /usr/bin/akit
/usr/bin/awx
%{python3_sitelib}/awxkit*

%changelog
* Wed Jan 13 2021 Yanis Guenane <yguenane@redhat.com>
- 3.8.1 release

* Wed Nov 18 2020 Yanis Guenane <yguenane@redhat.com>
- 3.8.0 release

* Wed Sep 30 2020 Yanis Guenane <yguenane@redhat.com>
- 3.7.3 release

* Wed Aug 5 2020 Shane McDonald <shanemcd@redhat.com>
- 3.7.2 release

* Thu Jun 18 2020 Yanis Guenane <yguenane@redhat.com>
- 3.7.1 release

* Mon May 18 2020 Shane McDonald <shanemcd@redhat.com>
- 3.7.0 release

* Wed Apr 22 2020 Shane McDonald <shanemcd@redhat.com>
- 3.6.4 release

* Wed Apr 22 2020 Shane McDonald <shanemcd@redhat.com>
- 3.5.6 release

* Thu Feb 20 2020 Yanis Guenane <yguenane@redhat.com>
- 3.6.3 release

* Thu Feb 20 2020 Yanis Guenane <yguenane@redhat.com>
- 3.5.5 release

* Mon Dec 16 2019 Shane McDonald <shanemcd@redhat.com>
- 3.6.2 release

* Mon Dec 16 2019 Shane McDonald <shanemcd@redhat.com>
- 3.5.4 release

* Mon Nov 25 2019 Shane McDonald <shanemcd@redhat.com>
- 3.6.1 release

* Wed Nov 13 2019 Shane McDonald <shanemcd@redhat.com>
- 3.6.0 release

* Thu Sep 19 2019 Shane McDonald <shanemcd@redhat.com>
- 3.5.3 release

* Wed Aug 14 2019 Shane McDonald <shanemcd@redhat.com>
- 3.5.2 release

* Wed Jul 10 2019 Shane McDonald <shanemcd@redhat.com>
- 3.5.1 release

* Wed May 29 2019 Shane McDonald <shanemcd@redhat.com>
- 3.5.0 release

* Tue Mar 26 2019 Shane McDonald <shanemcd@redhat.com>
- 3.4.3 release

* Wed Mar 6 2019 Shane McDonald <shanemcd@redhat.com>
- 3.4.2 release

* Thu Jan 24 2019 Shane McDonald <shanemcd@redhat.com>
- 3.4.1 release

* Thu Jan 24 2019 Shane McDonald <shanemcd@redhat.com>
- 3.3.4 release

* Wed Jan 9 2019 Shane McDonald <shanemcd@redhat.com>
- 3.4.0 release

* Tue Dec 18 2018 Shane McDonald <shanemcd@redhat.com>
- 3.3.3 release

* Thu Dec 6 2018 Shane McDonald <shanemcd@redhat.com>
- 3.3.2 release

* Thu Oct 25 2018 Shane McDonald <shanemcd@redhat.com>
- 3.3.1 release

* Wed Sep 12 2018 Shane McDonald <shanemcd@redhat.com>
- 3.3.0 release

* Fri Aug 10 2018 Shane McDonald <shanemcd@redhat.com>
- 3.2.6 release

* Fri May 11 2018 Shane McDonald <shanemcd@redhat.com>
- 3.2.5 release

* Thu Apr 5 2018 Shane McDonald <shanemcd@redhat.com>
- 3.2.4 release

* Tue Feb 20 2018 Shane McDonald <shanemcd@redhat.com>
- 3.2.3 release

* Tue Feb 20 2018 Shane McDonald <shanemcd@redhat.com>
- 3.2.2 release

* Thu Dec 7 2017 Shane McDonald <shanemcd@redhat.com>
- 3.2.2 release

* Wed Oct 11 2017 Shane McDonald <shanemcd@redhat.com>
- 3.2.1 release

* Sun Oct 1 2017 Shane McDonald <shanemcd@redhat.com>
- 3.2.0 release

* Sun Sep 17 2017 Shane McDonald <shanemcd@redhat.com>
- 3.1.5 release

* Mon Jul 10 2017 Shane McDonald <shanemcd@redhat.com>
- 3.1.4 release

* Mon May 1 2017 Matthew Jones <matburt@redhat.com>
- 3.1.3 release

* Fri Apr 7 2017 Matthew Jones <matburt@redhat.com>
- 3.1.2-2 release

* Fri Mar 31 2017 Matthew Jones <matburt@redhat.com>
- 3.1.2 release

* Tue Mar 28 2017 Matthew Jones <matburt@redhat.com>
- 3.1.1 release

* Mon Feb 27 2017 Matthew Jones <matburt@redhat.com>
- 3.1.0 release

* Fri Oct 28 2016 Matthew Jones <matburt@redhat.com>
- 3.0.3 release

* Wed Aug 31 2016 Matthew Jones <matburt@redhat.com>
- 3.0.2 release

* Fri Jul 29 2016 Matthew Jones <matburt@redhat.com>
- 3.0.1 release

* Tue Jul 19 2016 Matthew Jones <matburt@redhat.com>
- 3.0.0 release

* Wed Apr 20 2016 Matthew Jones <matburt@redhat.com>
- 2.4.5 release

* Fri Feb 19 2016 Matthew Jones <matburt@redhat.com>
- 2.4.4 release

* Wed Dec 16 2015 Matthew Jones <mjones@ansible.com>
- 2.4.3 release

* Wed Dec 9 2015 Matthew Jones <mjones@ansible.com>
- 2.4.2 release

* Thu Nov 19 2015 Matthew Jones <mjones@ansible.com>
- 2.4.1 release

* Wed Nov 18 2015 Matthew Jones <mjones@ansible.com>
- 2.4.0 release

* Fri Oct 2 2015 Matthew Jones <mjones@ansible.com>
- 2.3.1 release

* Tue Sep 22 2015 Matthew Jones <mjones@ansible.com>
- 2.3.0 release

* Wed Aug 19 2015 Matthew Jones <mjones@ansible.com>
- 2.2.2 release

* Wed Aug 12 2015 Matthew Jones <mjones@ansible.com>
- 2.2.1 release

* Tue Jul 14 2015 Matthew Jones <mjones@ansible.com>
- 2.2.0 release

* Tue Jun 23 2015 Chris Meyers <cmeyers@ansible.com>
- 2.1.6 release

* Fri Jun 12 2015 Chris Meyers <cmeyers@ansible.com>
- 2.1.5 release

* Fri May 1 2015 Matthew Jones <mjones@ansible.com>
- 2.1.4 release

* Tue Apr 14 2015 Matthew Jones <mjones@ansible.com>
- 2.1.3 release

* Wed Mar 25 2015 Matthew Jones <mjones@ansible.com>
- 2.1.2 release

* Wed Feb 04 2015 Matthew Jones <mjones@ansible.com>
- 2.1.1 release

* Thu Jan 08 2015 Matthew Jones <mjones@ansible.com>
- 2.1.0 release

* Wed Dec 10 2014 Matthew Jones <mjones@ansible.com>
- 2.0.5 release

* Fri Nov 21 2014 James Laska <jlaska@ansible.com>
- 2.0.4 release

* Fri Nov 14 2014 James Laska <jlaska@ansible.com>
- 2.0.3 release

* Mon Oct 6 2014 James Laska <jlaska@ansible.com>
- 2.0.2 release

* Thu Sep 4 2014 James Laska <jlaska@ansible.com>
- 2.0.1 release

* Tue Aug 19 2014 James Laska <jlaska@ansible.com>
- 2.0.0 release

* Mon Jul 28 2014 James Laska <jlaska@ansible.com>
- 1.4.12 release

* Sun May 11 2014 James Laska <jlaska@ansible.com>
- 1.4.11 release

* Wed Apr 23 2014 James Laska <jlaska@ansible.com>
- 1.4.10 release

* Thu Apr 17 2014 James Laska <jlaska@ansible.com>
- 1.4.9 release

* Tue Apr 8 2014 James Laska <jlaska@ansible.com>
- 1.4.8 release

* Wed Jan 29 2014 James Laska <jlaska@ansible.com>
- 1.4.5 release

* Mon Jun 10 2013 James Cammarata <jimi@sngx.net>
- Initial RPM packaging for awx
